
/******* SLIDE HERO *******/

.hero-slider {
  position: relative;
  width: 100%;
  overflow: hidden;
  background: url('../slide/delikrep-queretaro-morelia-plaza-citadina-plaza-patio-macroplaza-crepas-saladas-dulces-cafe-frappes-sandwiches-baguettes-jugos-slide-back-2.jpg') center/cover no-repeat;
}

.hero-img {
  position: relative;
  z-index: 1;
}
.hero-img img {
  width: 100%;
  height: auto;
  display: block;
  position: absolute;
  inset: 0;
  opacity: 0;
  transition: opacity 1s ease;
  will-change: transform, opacity;
}

.hero-img img.active {
  position: relative;
  opacity: 1;
  width: 100%;
  animation: floatScale 6s ease-in-out infinite;
}
.hero-img img:not(.active) {
  animation: none;
  transform: none;
}

@keyframes floatScale {
  0% { transform: translateY(0px) scale(1); }
  50% { transform: translateY(-6px) scale(1.02); }
  100% { transform: translateY(0px) scale(1); }
}

.stars { margin-bottom: 16px;}
.slider-window {
  overflow: hidden;
  width: 80%;
  margin: auto;
  position: relative;
  padding: 0 10%;
}

.track {
  display: flex;
  gap: 30px;
  transition: transform .4s ease;
}

.card {
  width: 100%;
  flex: 0 0 auto;
  border: 2px solid #0c313c;
  border-radius: 70px;
  padding: 15%;
  box-sizing: border-box;
  vertical-align: middle;
  align-items: center;
  background: #fff;
    z-index: 10;
}

.nav {
  display: none;
}

.prev {
  left: 0;
}

.next {
  right: 0%;
}

.prev:hover, .next:hover {
  background: none;
}


/**SLIDE INSTAGRAM**/

.insta {
    width: 100%;
    margin: 0;
    padding: 0;
}
swiper-slide {
  position: relative;
  flex: 0 0 calc((100% - 40px)/3);
  aspect-ratio: 1/1;
  overflow: hidden;
  border-radius: 30px;
  background: #000;
}
swiper-slide::before,
swiper-slide::after{
    pointer-events:none;
}
swiper-container::part(pagination){
    display:none;
}

swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: .5s ease;
}

swiper-slide::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,.5);
  opacity: 0;
  transition: .5s ease;
}

swiper-slide::before {
  content: "\f16d";
  font-family: 'icomoon';
  font-size: 25px;
  color: #fff;
  position: absolute;
  font-weight: 100;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  z-index: 2;
  transition: .5s ease;
}

swiper-slide:hover::after,
swiper-slide:hover::before {
  opacity: 1;
}

swiper-slide a {
  display:block;
  width:100%;
  height:100%;
}

@media (min-width: 681px) {
.hero-slider {
  background: url('../slide/delikrep-queretaro-morelia-plaza-citadina-plaza-patio-macroplaza-crepas-saladas-dulces-cafe-frappes-sandwiches-baguettes-jugos-slide-back.jpg') center/cover no-repeat;
  padding-top: 5%;
}
    
swiper-slide {
    flex: 0 0 calc((100% - 30px)/5);
    border-radius: 50px;
}
.card { padding: 10%;}  
.slider-window {
  width: 78%;
  padding: 0;
}
    
.nav {
    display: block;
  position: absolute;
  top: 50%;
  transform: translateY(-0%);
  z-index: 10;
  background: none;
  font-size: 42px;
  color: #0c313c;
  cursor: pointer;
    font-weight: 100;
}
.prev {
  padding: 0;
  left: 4%;
  margin-top: 0;
}   
.next {
  padding: 0;
  right: 4%;
  margin-top: 0;
}
    
}

@media (min-width: 1000px) {
.hero-slider { padding: 0;}
swiper-slide {flex: 0 0 calc((100% - 120px) / 5);}

.slider-window {
  width: 86%;
}
    
.card {
  width: calc((100% - 30px) / 2);
  padding: 5% 8%;
}
    
.prev {
  padding: 0;
  left: 2%;
  margin-top: 0;
}
.next {
  padding: 0;
  right: 2%;
  margin-top: 0;
}
}